choix = 0
gris1 = Color.new(220,220,220)
selecteur = 0
option1 = Image.load("APPS/Parametres/icon.png")
selecteur_img = Image.load("IMG/selector.png")
while true do
screen:clear()
pad = Controls.read()

position_selecteur_wall_y = 0

screen:blit(0,position_selecteur_wall_y+selecteur*80+26-158,selecteur_img,0,0,480,79)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26-79,selecteur_img)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26+79,selecteur_img,0,0,480,79)

screen:blit(5,28,option1)
screen:fontPrint(font,85,46,"Curseurs",gris1)
screen:blit(5,108,option1)
screen:fontPrint(font,85,126,"Wallpapers",gris1)
screen:blit(5,188,option1)
screen:fontPrint(font,85,206,"A propos du shell",gris1)
if selecteur < 2 then
 if pad:down() and not oldpad:down() or pad:analogY()>60 then
  selecteur=selecteur+1
 end
end

if selecteur > 0 then
 if pad:up() and not oldpad:up() or pad:analogY()<-60 then
  selecteur=selecteur-1
 end
end 
if pad:cross() and not oldpad:cross() then
 if selecteur == 0 then
  dofile("APPS/Parametres/curseur.lua")
 elseif selecteur == 1 then
  dofile("APPS/Parametres/wall.lua")
 elseif selecteur == 2 then
  dofile("APPS/Parametres/about.lua")
 end
end

if pad:triangle() and not oldpad:triangle() and help==false then
  help=true
elseif pad:triangle() and not oldpad:triangle() and help==true then
  help=false
end
if help == true then
 System.message("Aide\n"..
                "Pour valider un choix, appuyez sur croix.\n"..
                "Pour quitter, appuyez sur rond.\n",0)
 help = false
end

if pad:circle() and not oldpad:circle() then 
 Android:Quitter()
end
Android:Barre()
screen.flip()
screen.waitVblankStart()
oldpad = pad
end
